<?xml version="1.0" encoding="Shift_JIS"?>
<!DOCTYPE web-app PUBLIC 
	"-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
	"http://java.sun.com/dtd/web-app_2_3.dtd">
	
<web-app>
	<display-name>ITS COOLプロジェクト weber/stylistフレームワーク</display-name>
  	<!-- Filterクラスの定義 -->
  	<filter>
    	<filter-name>transactionFilter</filter-name>
    	<description>Transaction用フィルタークラス</description>
    	<filter-class>org.itscool.weber.filter.TransactionFilter</filter-class>
	</filter>
	<filter>
    	<filter-name>layoutFilter</filter-name>
    	<description>STYLIST用フィルタークラス</description>
    	<filter-class>org.itscool.stylist.filter.LayoutFilter</filter-class>
    </filter>
  	<!--
	複数のフィルタがマッチした場合にはどうなるでしょうか。
    その場合にはマッチしたフィルタ全てが起動されます。起動される順番は、設定の順番です。
    ですから<filter-mapping>については内容だけでなく、順番にも注意が必要です。
    -->
	<!-- Filterクラスのマッピング定義 -->
	<filter-mapping>
    	<filter-name>transactionFilter</filter-name>
    	<servlet-name>action</servlet-name>
  	</filter-mapping>
  	<filter-mapping>
    	<filter-name>layoutFilter</filter-name>
    	<servlet-name>action</servlet-name>
  	</filter-mapping>
  	
  	<!-- Servletクラスの定義 -->
  	<servlet>
		<servlet-name>action</servlet-name>
		<description>フロントサーブレットクラス</description>
		<servlet-class>org.itscool.weber.action.FrontServlet</servlet-class>
		<load-on-startup/>
	</servlet>
  	
	<!-- Servletクラスのマッピング定義 -->
  	<servlet-mapping>
		<servlet-name>action</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
  	
	<welcome-file-list>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>
	
	<!-- タグライブラリを登録します -->
	<taglib> 
  		<taglib-uri>/itscool-tags/bean-taglib_1_0</taglib-uri> 
  		<taglib-location>/WEB-INF/weber-bean.tld</taglib-location> 
  	</taglib>
  	
	<taglib> 
  		<taglib-uri>/itscool-tags/logic-taglib_1_0</taglib-uri> 
  		<taglib-location>/WEB-INF/weber-logic.tld</taglib-location> 
  	</taglib>
  	
	<taglib> 
  		<taglib-uri>/itscool-tags/html-taglib_1_0</taglib-uri> 
  		<taglib-location>/WEB-INF/weber-html.tld</taglib-location> 
  	</taglib>
  	
  	<taglib> 
  		<taglib-uri>/itscool-tags/stylist-taglib_1_0</taglib-uri> 
  		<taglib-location>/WEB-INF/stylist-tags.tld</taglib-location> 
  	</taglib>
  	
  	<taglib> 
  		<taglib-uri>/itscool-tags/tagex-taglib_1_0</taglib-uri> 
  		<taglib-location>/WEB-INF/weber-tagex.tld</taglib-location> 
  	</taglib>
</web-app>